PHP Manual
Prev |  | Next

# getmypid

(PHP 3, PHP 4, PHP 5)

getmypid -- Gets PHP's process ID

## Description

int getmypid ( void )

Gets the current PHP process ID.

## Return Values

Returns the current PHP process ID, or `FALSE` on error.

## Notes

Warning
Process IDs are not unique, thus they are a weak entropy source. We recommend against relying on pids in security-dependent contexts.

## See Also

getmygid()
getmyuid()
get_current_user()
getmyinode()
getlastmod()

Prev | Home | Next
getmyinode | Up | getmyuid